Subject: Dwarf Tangerine Tree

From: [email-masked] (Randy Cosby)
Date: 21 Mar 1995 05:10:21 GMT

I have had a dwarf tangerine tree growing in my South Facing Window for 
the past year and a half.  Itr seems that at this time of year it has a 
spurt of growth (3 - 4 new leaves) and then it just sits there.  Is this 
normal?

Randy